1
Philips Support

Should the Bluetooth version of my Philips headset and my phone match?

Published on 2017-08-24

The version of Bluetooth does not need to match. For example, a headset on Bluetooth version BT2.0 +EDR can work with a mobile phone on Bluetooth version 1.2. The advanced features of the newer Bluetooth version might not work. The headset and the phone must support the same profiles. For example, to stream music the headset and the phone must support A2DP.

Contact Philips

We are happy to help you

Looking for something else?

Discover all Philips Support options

Subscribe to our newsletter

* This field is mandatory

Exclusive promotions

Early access to product launches

Tips and tricks

*

I would like to receive promotional communications – based on my preferences and behavior – about Philips products, services, events and promotions. I can easily unsubscribe at any time!

You are about to visit a Philips global content page

Continue

You are about to visit the Philips USA website.

I understand

Our site can best be viewed with the latest version of Microsoft Edge, Google Chrome or Firefox.